# Interface AttachmentRow

interface AttachmentRow {
attachmentId ?: string;
blobId ?: string;
content ?: string | Buffer<ArrayBufferLike>;
contentLength ?: number;
dateModified ?: string;
isProtected ?: boolean;
mime : string;
ownerId ?: string;
position ?: number;
role : string;
title : string;
utcDateModified ?: string;
utcDateScheduledForErasureSince ?: string;
}

- Defined in becca/entities/rows.ts:3

#####
Index

### Properties

attachmentId?
blobId?
content?
contentLength?
dateModified?
isProtected?
mime
ownerId?
position?
role
title
utcDateModified?
utcDateScheduledForErasureSince?

##
Properties

### `Optional` attachmentId

attachmentId?: string

- Defined in becca/entities/rows.ts:4

### `Optional` blobId

blobId?: string

- Defined in becca/entities/rows.ts:10

### `Optional` content

content?: string | Buffer<ArrayBufferLike>

- Defined in becca/entities/rows.ts:16

### `Optional` contentLength

contentLength?: number

- Defined in becca/entities/rows.ts:15

### `Optional` dateModified

dateModified?: string

- Defined in becca/entities/rows.ts:12

### `Optional` isProtected

isProtected?: boolean

- Defined in becca/entities/rows.ts:11

### mime

mime: string

- Defined in becca/entities/rows.ts:7

### `Optional` ownerId

ownerId?: string

- Defined in becca/entities/rows.ts:5

### `Optional` position

position?: number

- Defined in becca/entities/rows.ts:9

### role

role: string

- Defined in becca/entities/rows.ts:6

### title

title: string

- Defined in becca/entities/rows.ts:8

### `Optional` utcDateModified

utcDateModified?: string

- Defined in becca/entities/rows.ts:13

### `Optional` utcDateScheduledForErasureSince

utcDateScheduledForErasureSince?: string

- Defined in becca/entities/rows.ts:14